Skip to content
Start here

Batch delete origin cloud region mappings

DELETE/zones/{zone_id}/cache/origin_cloud_regions/batch

Removes up to 100 IP-to-cloud-region mappings in a single request. Each IP is validated independently — successfully deleted items are returned in the succeeded array and IPs that could not be found or are invalid are returned in the failed array.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
zone_id: optional string

Identifier.

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional object { id, editable, value, modified_on }

Response result for a batch origin cloud region operation.

id: "origin_public_cloud_region"
editable: boolean

Whether the setting can be modified by the current user.

value: object { failed, succeeded }
failed: array of object { "origin-ip", error, region, vendor }

Items that could not be applied, with error details.

"origin-ip": string

The origin IP address for this item.

error: optional string

Error message explaining why the item failed. Present only on failed items.

region: optional string

Cloud vendor region identifier. Present on succeeded items for patch operations.

vendor: optional string

Cloud vendor identifier. Present on succeeded items for patch operations.

succeeded: array of object { "origin-ip", error, region, vendor }

Items that were successfully applied.

"origin-ip": string

The origin IP address for this item.

error: optional string

Error message explaining why the item failed. Present only on failed items.

region: optional string

Cloud vendor region identifier. Present on succeeded items for patch operations.

vendor: optional string

Cloud vendor identifier. Present on succeeded items for patch operations.

modified_on: optional string

Time the mapping set was last modified. Null when no items were successfully applied.

formatdate-time

Batch delete origin cloud region mappings

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/cache/origin_cloud_regions/batch \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "failed": [],
      "succeeded": [
        {
          "origin-ip": "192.0.2.1",
          "region": "us-east-1",
          "vendor": "aws"
        },
        {
          "origin-ip": "2001:db8::1",
          "region": "us-central1",
          "vendor": "gcp"
        }
      ]
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1141,
      "message": "Unable to delete origin_public_cloud_region setting. Internal error."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "failed": [],
      "succeeded": [
        {
          "origin-ip": "192.0.2.1",
          "region": "us-east-1",
          "vendor": "aws"
        },
        {
          "origin-ip": "2001:db8::1",
          "region": "us-central1",
          "vendor": "gcp"
        }
      ]
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1141,
      "message": "Unable to delete origin_public_cloud_region setting. Internal error."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}